"Fossies" - the Fresh Open Source Software Archive

Member "pacpl-code/Makefile.in" (9 Feb 2021, 21843 Bytes) of package /linux/privat/pacpl-6.1.3.tar.bz2:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 6.1.2_vs_6.1.3.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 #  Perl Audio Converter
   18 #
   19 #  Copyright (C) 2005-2021 Philip Lyons (vorzox@gmail.com)
   20 #
   21 #    This program is free software; you can redistribute it and/or modify
   22 #    it under the terms of the GNU General Public License as published by
   23 #    the Free Software Foundation; either version 3 of the License, or
   24 #    (at your option) any later version.
   25 #
   26 #    This program is distributed in the hope that it will be useful,
   27 #    but WITHOUT ANY WARRANTY; without even the implied warranty of
   28 #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   29 #    GNU General Public License for more details.
   30 #
   31 #    You should have received a copy of the GNU General Public License
   32 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
   33 VPATH = @srcdir@
   34 am__is_gnu_make = { \
   35   if test -z '$(MAKELEVEL)'; then \
   36     false; \
   37   elif test -n '$(MAKE_HOST)'; then \
   38     true; \
   39   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   40     true; \
   41   else \
   42     false; \
   43   fi; \
   44 }
   45 am__make_running_with_option = \
   46   case $${target_option-} in \
   47       ?) ;; \
   48       *) echo "am__make_running_with_option: internal error: invalid" \
   49               "target option '$${target_option-}' specified" >&2; \
   50          exit 1;; \
   51   esac; \
   52   has_opt=no; \
   53   sane_makeflags=$$MAKEFLAGS; \
   54   if $(am__is_gnu_make); then \
   55     sane_makeflags=$$MFLAGS; \
   56   else \
   57     case $$MAKEFLAGS in \
   58       *\\[\ \	]*) \
   59         bs=\\; \
   60         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   61           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   62     esac; \
   63   fi; \
   64   skip_next=no; \
   65   strip_trailopt () \
   66   { \
   67     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   68   }; \
   69   for flg in $$sane_makeflags; do \
   70     test $$skip_next = yes && { skip_next=no; continue; }; \
   71     case $$flg in \
   72       *=*|--*) continue;; \
   73         -*I) strip_trailopt 'I'; skip_next=yes;; \
   74       -*I?*) strip_trailopt 'I';; \
   75         -*O) strip_trailopt 'O'; skip_next=yes;; \
   76       -*O?*) strip_trailopt 'O';; \
   77         -*l) strip_trailopt 'l'; skip_next=yes;; \
   78       -*l?*) strip_trailopt 'l';; \
   79       -[dEDm]) skip_next=yes;; \
   80       -[JT]) skip_next=yes;; \
   81     esac; \
   82     case $$flg in \
   83       *$$target_option*) has_opt=yes; break;; \
   84     esac; \
   85   done; \
   86   test $$has_opt = yes
   87 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   88 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   89 pkgdatadir = $(datadir)/@PACKAGE@
   90 pkgincludedir = $(includedir)/@PACKAGE@
   91 pkglibdir = $(libdir)/@PACKAGE@
   92 pkglibexecdir = $(libexecdir)/@PACKAGE@
   93 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   94 install_sh_DATA = $(install_sh) -c -m 644
   95 install_sh_PROGRAM = $(install_sh) -c
   96 install_sh_SCRIPT = $(install_sh) -c
   97 INSTALL_HEADER = $(INSTALL_DATA)
   98 transform = $(program_transform_name)
   99 NORMAL_INSTALL = :
  100 PRE_INSTALL = :
  101 POST_INSTALL = :
  102 NORMAL_UNINSTALL = :
  103 PRE_UNINSTALL = :
  104 POST_UNINSTALL = :
  105 subdir = .
  106 am__aclocal_m4_deps = $(top_srcdir)/aclocal/ax_prog_perl_modules.m4 \
  107 	$(top_srcdir)/configure.ac
  108 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  109 	$(ACLOCAL_M4)
  110 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  111 	$(am__configure_deps) $(am__DIST_COMMON)
  112 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  113  configure.lineno config.status.lineno
  114 mkinstalldirs = $(install_sh) -d
  115 CONFIG_CLEAN_FILES =
  116 CONFIG_CLEAN_VPATH_FILES =
  117 AM_V_P = $(am__v_P_@AM_V@)
  118 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  119 am__v_P_0 = false
  120 am__v_P_1 = :
  121 AM_V_GEN = $(am__v_GEN_@AM_V@)
  122 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  123 am__v_GEN_0 = @echo "  GEN     " $@;
  124 am__v_GEN_1 = 
  125 AM_V_at = $(am__v_at_@AM_V@)
  126 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  127 am__v_at_0 = @
  128 am__v_at_1 = 
  129 SOURCES =
  130 DIST_SOURCES =
  131 am__can_run_installinfo = \
  132   case $$AM_UPDATE_INFO_DIR in \
  133     n|no|NO) false;; \
  134     *) (install-info --version) >/dev/null 2>&1;; \
  135   esac
  136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  137 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
  138 	INSTALL NEWS README install-sh missing
  139 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  140 distdir = $(PACKAGE)-$(VERSION)
  141 top_distdir = $(distdir)
  142 am__remove_distdir = \
  143   if test -d "$(distdir)"; then \
  144     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  145       && rm -rf "$(distdir)" \
  146       || { sleep 5 && rm -rf "$(distdir)"; }; \
  147   else :; fi
  148 am__post_remove_distdir = $(am__remove_distdir)
  149 DIST_ARCHIVES = $(distdir).tar.gz
  150 GZIP_ENV = --best
  151 DIST_TARGETS = dist-gzip
  152 distuninstallcheck_listfiles = find . -type f -print
  153 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  154   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  155 distcleancheck_listfiles = find . -type f -print
  156 ACLOCAL = @ACLOCAL@
  157 AFTEN = @AFTEN@
  158 AMTAR = @AMTAR@
  159 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  160 AUTOCONF = @AUTOCONF@
  161 AUTOHEADER = @AUTOHEADER@
  162 AUTOMAKE = @AUTOMAKE@
  163 AVCONV = @AVCONV@
  164 AWK = @AWK@
  165 BLADEENC = @BLADEENC@
  166 BONK = @BONK@
  167 CYGPATH_W = @CYGPATH_W@
  168 DEFS = @DEFS@
  169 
  170 #
  171 # Default KDE directory
  172 #
  173 DESTDIR = 
  174 ECHO_C = @ECHO_C@
  175 ECHO_N = @ECHO_N@
  176 ECHO_T = @ECHO_T@
  177 FAAC = @FAAC@
  178 FAAD = @FAAD@
  179 FFMPEG = @FFMPEG@
  180 FLAC = @FLAC@
  181 GNOMEDIR = /usr
  182 GZIP = @GZIP@
  183 INSTALL = @INSTALL@
  184 INSTALL_DATA = @INSTALL_DATA@
  185 INSTALL_DOLP = @INSTALL_DOLP@
  186 INSTALL_KONQ = @INSTALL_KONQ@
  187 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  188 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  189 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  190 KDEDIR = /usr
  191 KDIALOG = @KDIALOG@
  192 LA = @LA@
  193 LAME = @LAME@
  194 LIBOBJS = @LIBOBJS@
  195 LIBS = @LIBS@
  196 LTLIBOBJS = @LTLIBOBJS@
  197 MAC = @MAC@
  198 MAKEINFO = @MAKEINFO@
  199 MKDIR_P = @MKDIR_P@
  200 MPCDEC = @MPCDEC@
  201 MPCENC = @MPCENC@
  202 MPLAYER = @MPLAYER@
  203 NAUTILUS = @NAUTILUS@
  204 NEMO = @NEMO@
  205 OFF = @OFF@
  206 OFR = @OFR@
  207 OFS = @OFS@
  208 OGGDEC = @OGGDEC@
  209 OGGENC = @OGGENC@
  210 OPUSDEC = @OPUSDEC@
  211 OPUSENC = @OPUSENC@
  212 PACKAGE = @PACKAGE@
  213 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  214 PACKAGE_NAME = @PACKAGE_NAME@
  215 PACKAGE_STRING = @PACKAGE_STRING@
  216 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  217 PACKAGE_URL = @PACKAGE_URL@
  218 PACKAGE_VERSION = @PACKAGE_VERSION@
  219 PATH_SEPARATOR = @PATH_SEPARATOR@
  220 PERL = @PERL@
  221 POD2HTML = @POD2HTML@
  222 
  223 #
  224 # Compiler tools definitions...
  225 #
  226 POD2MAN = @POD2MAN@
  227 RM = @RM@ -f
  228 SET_MAKE = @SET_MAKE@
  229 SHELL = /bin/sh
  230 SHORTEN = @SHORTEN@
  231 SNDFILE = @SNDFILE@
  232 SOX = @SOX@
  233 SPEEXDEC = @SPEEXDEC@
  234 SPEEXENC = @SPEEXENC@
  235 STRIP = @STRIP@
  236 TOOLAME = @TOOLAME@
  237 TTAENC = @TTAENC@
  238 TWOLAME = @TWOLAME@
  239 VERSION = @VERSION@
  240 WAVPACK = @WAVPACK@
  241 WVUNPACK = @WVUNPACK@
  242 ZENITY = @ZENITY@
  243 abs_builddir = @abs_builddir@
  244 abs_srcdir = @abs_srcdir@
  245 abs_top_builddir = @abs_top_builddir@
  246 abs_top_srcdir = @abs_top_srcdir@
  247 ac_prefix_program = @ac_prefix_program@
  248 am__leading_dot = @am__leading_dot@
  249 am__tar = @am__tar@
  250 am__untar = @am__untar@
  251 bindir = @bindir@
  252 build_alias = @build_alias@
  253 builddir = @builddir@
  254 datadir = @datadir@
  255 datarootdir = @datarootdir@
  256 docdir = @docdir@
  257 dvidir = @dvidir@
  258 exec_prefix = @exec_prefix@
  259 host_alias = @host_alias@
  260 htmldir = @htmldir@
  261 includedir = @includedir@
  262 infodir = @infodir@
  263 install_sh = @install_sh@
  264 libdir = @libdir@
  265 libexecdir = @libexecdir@
  266 localedir = @localedir@
  267 localstatedir = @localstatedir@
  268 mandir = @mandir@
  269 mkdir_p = @mkdir_p@
  270 oldincludedir = @oldincludedir@
  271 pdfdir = @pdfdir@
  272 prefix = @prefix@
  273 program_transform_name = @program_transform_name@
  274 psdir = @psdir@
  275 runstatedir = @runstatedir@
  276 sbindir = @sbindir@
  277 sharedstatedir = @sharedstatedir@
  278 srcdir = @srcdir@
  279 sysconfdir = @sysconfdir@
  280 target_alias = @target_alias@
  281 top_build_prefix = @top_build_prefix@
  282 top_builddir = @top_builddir@
  283 top_srcdir = @top_srcdir@
  284 ACLOCAL_M4 = ./aclocal.m4
  285 
  286 #
  287 # Modules & Documentation
  288 #
  289 DOCS = INSTALL README AUTHORS TODO NEWS ChangeLog COPYING
  290 LANG_MODS = po/*
  291 EXTRAS = extra/*
  292 
  293 #
  294 # Plugin directories
  295 #
  296 NAUTILUS_PLUGIN_DIR = plugins/gnome/nautilus
  297 NEMO_PLUGIN_DIR = plugins/gnome/nemo
  298 KDE_PLUGIN_DIR = plugins/kde
  299 
  300 #
  301 # Target KDE directories
  302 #
  303 KDE_INSTALL_DIR = $(DESTDIR)$(KDEDIR)/share/kde4/services
  304 NAUTILUS_INSTALL_DIR = $(DESTDIR)$(HOME)/.local/share/nautilus/scripts
  305 NEMO_INSTALL_DIR = $(DESTDIR)$(GNOMEDIR)/share/nemo/actions
  306 ICON_DIR = $(DESTDIR)$(GNOMEDIR)/share/icons
  307 
  308 #
  309 # Configuration files directories and other
  310 #
  311 CONF_DIR = $(DESTDIR)$(sysconfdir)/$(PACKAGE_NAME)
  312 PO_DIR = $(DESTDIR)$(pkgdatadir)/locale
  313 MOD_DIR = $(CONF_DIR)/modules
  314 DOC_DIR = $(DESTDIR)$(docdir)
  315 MAN_DIR = $(DESTDIR)$(mandir)/man1
  316 EXTRA_DIR = $(CONF_DIR)/extra
  317 edit = sed \
  318 	-e 's|@pkgdatadir[@]|$(pkgdatadir)|g' \
  319 	-e 's|@sysconfdir[@]|$(sysconfdir)|g'
  320 
  321 all: all-am
  322 
  323 .SUFFIXES:
  324 am--refresh: Makefile
  325 	@:
  326 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  327 	@for dep in $?; do \
  328 	  case '$(am__configure_deps)' in \
  329 	    *$$dep*) \
  330 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  331 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  332 		&& exit 0; \
  333 	      exit 1;; \
  334 	  esac; \
  335 	done; \
  336 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  337 	$(am__cd) $(top_srcdir) && \
  338 	  $(AUTOMAKE) --gnu Makefile
  339 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  340 	@case '$?' in \
  341 	  *config.status*) \
  342 	    echo ' $(SHELL) ./config.status'; \
  343 	    $(SHELL) ./config.status;; \
  344 	  *) \
  345 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  346 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  347 	esac;
  348 
  349 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  350 	$(SHELL) ./config.status --recheck
  351 
  352 $(top_srcdir)/configure:  $(am__configure_deps)
  353 	$(am__cd) $(srcdir) && $(AUTOCONF)
  354 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  355 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  356 $(am__aclocal_m4_deps):
  357 tags TAGS:
  358 
  359 ctags CTAGS:
  360 
  361 cscope cscopelist:
  362 
  363 
  364 distdir: $(BUILT_SOURCES)
  365 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  366 
  367 distdir-am: $(DISTFILES)
  368 	$(am__remove_distdir)
  369 	test -d "$(distdir)" || mkdir "$(distdir)"
  370 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  371 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  372 	list='$(DISTFILES)'; \
  373 	  dist_files=`for file in $$list; do echo $$file; done | \
  374 	  sed -e "s|^$$srcdirstrip/||;t" \
  375 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  376 	case $$dist_files in \
  377 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  378 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  379 			   sort -u` ;; \
  380 	esac; \
  381 	for file in $$dist_files; do \
  382 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  383 	  if test -d $$d/$$file; then \
  384 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  385 	    if test -d "$(distdir)/$$file"; then \
  386 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  387 	    fi; \
  388 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  389 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  390 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  391 	    fi; \
  392 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  393 	  else \
  394 	    test -f "$(distdir)/$$file" \
  395 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  396 	    || exit 1; \
  397 	  fi; \
  398 	done
  399 	-test -n "$(am__skip_mode_fix)" \
  400 	|| find "$(distdir)" -type d ! -perm -755 \
  401 		-exec chmod u+rwx,go+rx {} \; -o \
  402 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  403 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  404 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  405 	|| chmod -R a+r "$(distdir)"
  406 dist-gzip: distdir
  407 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  408 	$(am__post_remove_distdir)
  409 
  410 dist-bzip2: distdir
  411 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  412 	$(am__post_remove_distdir)
  413 
  414 dist-lzip: distdir
  415 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  416 	$(am__post_remove_distdir)
  417 
  418 dist-xz: distdir
  419 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  420 	$(am__post_remove_distdir)
  421 
  422 dist-tarZ: distdir
  423 	@echo WARNING: "Support for distribution archives compressed with" \
  424 		       "legacy program 'compress' is deprecated." >&2
  425 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  426 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  427 	$(am__post_remove_distdir)
  428 
  429 dist-shar: distdir
  430 	@echo WARNING: "Support for shar distribution archives is" \
  431 	               "deprecated." >&2
  432 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  433 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  434 	$(am__post_remove_distdir)
  435 
  436 dist-zip: distdir
  437 	-rm -f $(distdir).zip
  438 	zip -rq $(distdir).zip $(distdir)
  439 	$(am__post_remove_distdir)
  440 
  441 dist dist-all:
  442 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  443 	$(am__post_remove_distdir)
  444 
  445 # This target untars the dist file and tries a VPATH configuration.  Then
  446 # it guarantees that the distribution is self-contained by making another
  447 # tarfile.
  448 distcheck: dist
  449 	case '$(DIST_ARCHIVES)' in \
  450 	*.tar.gz*) \
  451 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  452 	*.tar.bz2*) \
  453 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  454 	*.tar.lz*) \
  455 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  456 	*.tar.xz*) \
  457 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  458 	*.tar.Z*) \
  459 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  460 	*.shar.gz*) \
  461 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  462 	*.zip*) \
  463 	  unzip $(distdir).zip ;;\
  464 	esac
  465 	chmod -R a-w $(distdir)
  466 	chmod u+w $(distdir)
  467 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  468 	chmod a-w $(distdir)
  469 	test -d $(distdir)/_build || exit 0; \
  470 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  471 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  472 	  && am__cwd=`pwd` \
  473 	  && $(am__cd) $(distdir)/_build/sub \
  474 	  && ../../configure \
  475 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  476 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  477 	    --srcdir=../.. --prefix="$$dc_install_base" \
  478 	  && $(MAKE) $(AM_MAKEFLAGS) \
  479 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  480 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  481 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  482 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  483 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  484 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  485 	        distuninstallcheck \
  486 	  && chmod -R a-w "$$dc_install_base" \
  487 	  && ({ \
  488 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  489 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  490 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  491 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  492 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  493 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  494 	  && rm -rf "$$dc_destdir" \
  495 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  496 	  && rm -rf $(DIST_ARCHIVES) \
  497 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  498 	  && cd "$$am__cwd" \
  499 	  || exit 1
  500 	$(am__post_remove_distdir)
  501 	@(echo "$(distdir) archives ready for distribution: "; \
  502 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  503 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  504 distuninstallcheck:
  505 	@test -n '$(distuninstallcheck_dir)' || { \
  506 	  echo 'ERROR: trying to run $@ with an empty' \
  507 	       '$$(distuninstallcheck_dir)' >&2; \
  508 	  exit 1; \
  509 	}; \
  510 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  511 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  512 	  exit 1; \
  513 	}; \
  514 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  515 	   || { echo "ERROR: files left after uninstall:" ; \
  516 	        if test -n "$(DESTDIR)"; then \
  517 	          echo "  (check DESTDIR support)"; \
  518 	        fi ; \
  519 	        $(distuninstallcheck_listfiles) ; \
  520 	        exit 1; } >&2
  521 distcleancheck: distclean
  522 	@if test '$(srcdir)' = . ; then \
  523 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  524 	  exit 1 ; \
  525 	fi
  526 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  527 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  528 	       $(distcleancheck_listfiles) ; \
  529 	       exit 1; } >&2
  530 check-am: all-am
  531 check: check-am
  532 all-am: Makefile
  533 installdirs:
  534 install-exec: install-exec-am
  535 install-data: install-data-am
  536 
  537 install-am: all-am
  538 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  539 
  540 installcheck: installcheck-am
  541 install-strip:
  542 	if test -z '$(STRIP)'; then \
  543 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  544 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  545 	      install; \
  546 	else \
  547 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  548 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  549 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  550 	fi
  551 mostlyclean-generic:
  552 
  553 clean-generic:
  554 
  555 distclean-generic:
  556 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  557 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  558 
  559 maintainer-clean-generic:
  560 	@echo "This command is intended for maintainers to use"
  561 	@echo "it deletes files that may require special tools to rebuild."
  562 clean-am: clean-generic mostlyclean-am
  563 
  564 distclean-am: clean-am distclean-generic
  565 
  566 dvi: dvi-am
  567 
  568 dvi-am:
  569 
  570 html: html-am
  571 
  572 html-am:
  573 
  574 info: info-am
  575 
  576 info-am:
  577 
  578 install-data-am:
  579 
  580 install-dvi: install-dvi-am
  581 
  582 install-dvi-am:
  583 
  584 install-exec-am:
  585 
  586 install-html: install-html-am
  587 
  588 install-html-am:
  589 
  590 install-info: install-info-am
  591 
  592 install-info-am:
  593 
  594 install-man:
  595 
  596 install-pdf: install-pdf-am
  597 
  598 install-pdf-am:
  599 
  600 install-ps: install-ps-am
  601 
  602 install-ps-am:
  603 
  604 installcheck-am:
  605 
  606 maintainer-clean: maintainer-clean-am
  607 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  608 	-rm -rf $(top_srcdir)/autom4te.cache
  609 	-rm -f Makefile
  610 maintainer-clean-am: distclean-am maintainer-clean-generic
  611 
  612 mostlyclean: mostlyclean-am
  613 
  614 mostlyclean-am: mostlyclean-generic
  615 
  616 pdf: pdf-am
  617 
  618 pdf-am:
  619 
  620 ps: ps-am
  621 
  622 ps-am:
  623 
  624 uninstall-am:
  625 
  626 .MAKE: install-am install-strip
  627 
  628 .PHONY: all all-am am--refresh check check-am clean clean-generic \
  629 	cscopelist-am ctags-am dist dist-all dist-bzip2 dist-gzip \
  630 	dist-lzip dist-shar dist-tarZ dist-xz dist-zip distcheck \
  631 	distclean distclean-generic distcleancheck distdir \
  632 	distuninstallcheck dvi dvi-am html html-am info info-am \
  633 	install install-am install-data install-data-am install-dvi \
  634 	install-dvi-am install-exec install-exec-am install-html \
  635 	install-html-am install-info install-info-am install-man \
  636 	install-pdf install-pdf-am install-ps install-ps-am \
  637 	install-strip installcheck installcheck-am installdirs \
  638 	maintainer-clean maintainer-clean-generic mostlyclean \
  639 	mostlyclean-generic pdf pdf-am ps ps-am tags-am uninstall \
  640 	uninstall-am
  641 
  642 .PRECIOUS: Makefile
  643 
  644 
  645 all : pacpl.1.gz
  646 
  647 pacpl: pacpl.in Makefile
  648 	rm -f $@ $@.tmp
  649 	$(edit) '$@.in' >$@.tmp
  650 	mv $@.tmp $@
  651 	chmod +x $@
  652 
  653 pacpl.1.gz : pacpl
  654 	$(POD2MAN) $< |	$(GZIP) -9 > $@
  655 	touch $@
  656 
  657 install: all main install-plugins
  658 
  659 main:
  660 	$(INSTALL) -d $(DESTDIR)$(bindir)
  661 	$(INSTALL) -d $(CONF_DIR)
  662 	$(INSTALL) -d $(PO_DIR)
  663 	$(INSTALL) -d $(MOD_DIR)
  664 	$(INSTALL) -d $(MAN_DIR)
  665 	$(INSTALL) -d $(DOC_DIR)
  666 	$(INSTALL) -d $(EXTRA_DIR)
  667 
  668 	$(INSTALL) pacpl $(DESTDIR)$(bindir)
  669 	$(INSTALL_DATA) pacpl.conf codecs.conf pacpl.png $(CONF_DIR)
  670 	$(INSTALL_DATA) $(LANG_MODS) $(PO_DIR)
  671 	$(INSTALL_DATA) pacpl.1.gz $(MAN_DIR)
  672 	$(INSTALL_DATA) $(DOCS) $(DOC_DIR)
  673 	$(INSTALL_DATA) $(EXTRAS) $(EXTRA_DIR)
  674 
  675 install-plugins:
  676 
  677 @INSTALL_KDE_TRUE@	$(INSTALL) -d $(KDE_INSTALL_DIR)
  678 @INSTALL_KDE_TRUE@	$(INSTALL) $(KDE_PLUGIN_DIR)/PACPL-Konvert $(DESTDIR)$(bindir)
  679 @INSTALL_KDE_TRUE@	$(INSTALL_DATA) $(KDE_PLUGIN_DIR)/pacpl.desktop $(KDE_INSTALL_DIR)
  680 @INSTALL_KDE_TRUE@	sed -i 's/KDE_DIR = 0/KDE_DIR = 1/' $(CONF_DIR)/pacpl.conf
  681 @INSTALL_KDE_TRUE@	sed -i 's/KDE_OPTS = 0/KDE_OPTS = 1/' $(CONF_DIR)/pacpl.conf
  682 
  683 @INSTALL_NAUTILUS_TRUE@	$(INSTALL) -d $(NAUTILUS_INSTALL_DIR)
  684 @INSTALL_NAUTILUS_TRUE@	$(INSTALL) $(NAUTILUS_PLUGIN_DIR)/PACPL-Convert $(NAUTILUS_INSTALL_DIR)
  685 
  686 @INSTALL_NEMO_TRUE@	$(INSTALL) -d $(NEMO_INSTALL_DIR)
  687 @INSTALL_NEMO_TRUE@	$(INSTALL) $(NEMO_PLUGIN_DIR)/PACPL-Convert $(NEMO_INSTALL_DIR)
  688 @INSTALL_NEMO_TRUE@	$(INSTALL_DATA) $(NEMO_PLUGIN_DIR)/pacpl.nemo_action $(NEMO_INSTALL_DIR)
  689 @INSTALL_NEMO_TRUE@	$(INSTALL_DATA) $(NEMO_PLUGIN_DIR)/pacpl.png $(ICON_DIR)
  690 
  691 @ENABLE_GNOME_NAUTILUS_TRUE@	sed -i 's/ZEN_DIR = 0/ZEN_DIR = 1/' $(CONF_DIR)/pacpl.conf
  692 @ENABLE_GNOME_NAUTILUS_TRUE@	sed -i 's/ZEN_OPTS = 0/ZEN_OPTS = 1/' $(CONF_DIR)/pacpl.conf                
  693 
  694 @ENABLE_GNOME_NEMO_TRUE@	sed -i 's/ZEN_DIR = 0/ZEN_DIR = 1/' $(CONF_DIR)/pacpl.conf
  695 @ENABLE_GNOME_NEMO_TRUE@	sed -i 's/ZEN_OPTS = 0/ZEN_OPTS = 1/' $(CONF_DIR)/pacpl.conf
  696 
  697 clean:
  698 	$(RM) pacpl.1.gz
  699 
  700 distclean: clean
  701 	$(RM) config.log
  702 	$(RM) config.status
  703 	$(RM) Makefile
  704 	$(RM) pacpl
  705 	find . -name '*~' -exec $(RM) '{}' \;
  706 
  707 uninstall: uninstall-plugins
  708 	$(RM) $(DESTDIR)$(bindir)/pacpl
  709 	$(RM) $(MAN_DIR)/pacpl.1.gz
  710 	$(RM) -r $(CONF_DIR)/pacpl
  711 	$(RM) -r $(DOC_DIR)/pacpl
  712 	$(RM) -r $(DESTDIR)$(pkgdatadir)
  713 
  714 uninstall-plugins:
  715 @INSTALL_KDE_TRUE@	$(RM) $(KDE_INSTALL_DIR)/pacpl.desktop
  716 @INSTALL_KDE_TRUE@	$(RM) $(DESTDIR)$(bindir)/PACPL-Konvert
  717 
  718 @INSTALL_NAUTILUS_TRUE@	$(RM) $(NAUTILUS_INSTALL_DIR)/PACPL-Convert
  719 
  720 @INSTALL_NEMO_TRUE@	$(RM) $(NEMO_INSTALL_DIR)/PACPL-Convert
  721 @INSTALL_NEMO_TRUE@	$(RM) $(NEMO_INSTALL_DIR)/pacpl.nemo_action
  722 @INSTALL_NEMO_TRUE@	$(RM) $(ICON_DIR)/pacpl.png
  723 
  724 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  725 # Otherwise a system limit (for SysV at least) may be exceeded.
  726 .NOEXPORT: